*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 21741
*                  CHINESE HOUSEHOLD INCOME PROJECT, 2002
*               (DATASET 0005: VILLAGE ADMINISTRATIVE DATA)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\21741-0005-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da21741-0005.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=1249.
DATA LIST FILE=DATA /
               ORDER 1-3                  SM 4-5
               COUN 6-11              VILL 12-13                 V3_1 14
                 V3_2 15                 V3_3 16                 V3_4 17
          V3_5 18-23 (2)          V3_6 24-29 (2)          V3_7 30-34 (2)
          V3_9 35-41 (2)             V3_10 42-46             V3_11 47-50
             V3_12 51-54               V3_101 55               V3_102 56
               V3_103 57               V3_104 58       V3_104A 59-63 (2)
        V3_105 64-67 (2)       V3_105A 68-72 (2)               V3_106 73
              V3_106A 74       V3_106B 75-79 (2)               V3_107 80
               V3_108 81               V3_109 82               V3_110 83
            V3_201 84-87            V3_202 88-91           V3_201A 92-95
           V3_202A 96-99         V3_201B 100-102         V3_202B 103-105
         V3_201C 106-108         V3_202C 109-110         V3_201D 111-112
         V3_202D 113-114         V3_201E 115-117         V3_202E 118-120
         V3_201F 121-124         V3_201G 125-127         V3_201H 128-130
         V3_201I 131-133          V3_203 134-137          V3_204 138-141
         V3_203A 142-145         V3_204A 146-149         V3_203B 150-153
         V3_203C 154-156         V3_203D 157-160         V3_203E 161-164
          V3_205 165-168          V3_206 169-172          V3_207 173-176
         V3_205A 177-180         V3_206A 181-184         V3_205B 185-188
         V3_206B 189-191      V3_208 192-198 (2)      V3_301 199-206 (2)
     V3_301A 207-214 (2)     V3_301B 215-221 (2)      V3_302 222-229 (2)
      V3_303 230-237 (2)     V3_302A 238-241 (2)             V3_303A 242
             V3_302B 243             V3_303B 244      V3_304 245-252 (2)
      V3_305 253-260 (2)     V3_304A 261-268 (2)     V3_305A 269-276 (2)
     V3_304B 277-283 (2)         V3_304C 284-288     V3_304D 289-296 (2)
     V3_304E 297-303 (2)     V3_305B 304-310 (2)      V3_306 311-318 (2)
      V3_307 319-325 (2)     V3_306A 326-331 (2)     V3_307A 332-337 (2)
     V3_306B 338-344 (2)     V3_307B 345-351 (2)      V3_308 352-356 (2)
     V3_308A 357-361 (2)     V3_308B 362-366 (2)     V3_308C 367-371 (2)
             V3_308D 372      V3_309 373-382 (2)      V3_310 383-392 (2)
     V3_309A 393-402 (2)     V3_310A 403-412 (2)          V3_311 413-416
          V3_312 417-420         V3_311A 421-424         V3_312A 425-428
         V3_311B 429-432         V3_312B 433-436         V3_311C 437-439
         V3_312C 440-442         V3_311D 443-445         V3_312D 446-448
          V3_313 449-452             V3_313A 453             V3_313B 454
             V3_313C 455              V3_314 456              V3_315 457
             V3_314A 458             V3_315A 459             V3_314B 460
             V3_315B 461             V3_314C 462             V3_315C 463
             V3_314D 464             V3_315D 465             V3_314E 466
             V3_315E 467              V3_316 468              V3_317 469
             V3_316A 470             V3_317A 471             V3_316B 472
             V3_317B 473             V3_316C 474             V3_317C 475
             V3_316D 476             V3_317D 477      V3_318 478-487 (2)
      V3_319 488-497 (2)     V3_318A 498-507 (2)     V3_319A 508-517 (2)
      V3_401 518-527 (2)      V3_402 528-537 (2)     V3_401A 538-547 (2)
     V3_402A 548-557 (2)     V3_401B 558-566 (2)     V3_402B 567-575 (2)
     V3_401C 576-584 (2)     V3_402C 585-594 (2)     V3_401D 595-603 (2)
     V3_402D 604-612 (2)     V3_401E 613-622 (2)     V3_402E 623-632 (2)
     V3_401F 633-642 (2)     V3_402F 643-652 (2)     V3_401G 653-661 (2)
     V3_402G 662-671 (2)     V3_401H 672-681 (2)     V3_402H 682-690 (2)
     V3_401I 691-700 (2)     V3_402I 701-710 (2)      V3_403 711-719 (2)
     V3_403A 720-729 (2)              V3_404 730          V3_405 731-734
     V3_405A 735-742 (2)     V3_405B 743-750 (2)              V3_406 751
     V3_406A 752-759 (2)     V3_406B 760-765 (2)              V3_407 766
     V3_407A 767-771 (2)     V3_407B 772-777 (2)      V3_408 778-788 (2)
     V3_408A 789-799 (2)         V3_408B 800-806     V3_408C 807-815 (2)
     V3_408D 816-825 (2)     V3_408E 826-834 (2)     V3_408F 835-843 (2)
     V3_408G 844-852 (2)         V3_408H 853-858      V3_409 859-869 (2)
     V3_409A 870-880 (2)     V3_409B 881-890 (2)     V3_409C 891-900 (2)
     V3_409D 901-909 (2)     V3_409E 910-919 (2)     V3_409F 920-928 (2)
     V3_409G 929-937 (2)     V3_409H 938-946 (2)         V3_409I 947-952
         V3_409J 953-958      V3_410 959-969 (2)     V3_410A 970-980 (2)
         V3_410B 981-987     V3_410C 988-997 (2)    V3_410D 998-1006 (2)
   V3_410E 1007-1016 (2)   V3_410F 1017-1025 (2)   V3_410G 1026-1034 (2)
   V3_410H 1035-1043 (2)   V3_410I 1044-1052 (2)   V3_410J 1053-1061 (2)
             V3_501 1062             V3_502 1063            V3_501A 1064
            V3_502A 1065       V3_501B 1066-1067       V3_502B 1068-1069
       V3_501C 1070-1071       V3_502C 1072-1073    V3_503 1074-1078 (2)
            V3_503A 1079            V3_503B 1080            V3_503C 1081
            V3_503D 1082   V3_503E 1083-1089 (2)    V3_504 1090-1094 (2)
            V3_504A 1095            V3_504B 1096            V3_504C 1097
            V3_504D 1098   V3_504E 1099-1105 (2)             V3_505 1106
             V3_506 1107       V3_505A 1108-1109   V3_506A 1110-1114 (2)
   V3_505B 1115-1120 (2)       V3_506B 1121-1122             V3_507 1123
            V3_507A 1124        V3_601 1125-1127        V3_602 1128-1130
       V3_601A 1131-1134       V3_602A 1135-1137            V3_601B 1138
            V3_602B 1139             V3_603 1140            V3_603A 1141
             V3_701 1142             V3_702 1143   V3_701A 1144-1148 (2)
       V3_702A 1149-1151            V3_701B 1152            V3_702B 1153
             V3_703 1154   V3_703A 1155-1159 (2)   V3_703B 1160-1164 (2)
       V3_703C 1165-1169             V3_704 1170   V3_704A 1171-1176 (2)
   V3_704B 1177-1182 (2)             V3_705 1183       V3_706A 1184-1186
   V3_706B 1187-1195 (2)       V3_707A 1196-1198       V3_707B 1199-1205
       V3_708A 1206-1208       V3_708B 1209-1214       V3_709A 1215-1217
       V3_709B 1218-1223       V3_710A 1224-1227       V3_710B 1228-1233
   V3_8OLD 1234-1241 (2)   V3_8NEW 1242-1249 (2)
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   ORDER     'ORDER' /
   SM        'SM' /
   COUN      'County Number' /
   VILL      'Village Number' /
   V3_1      'Geographical condition' /
   V3_2      'Suburb of large/middle city (jiaoqu)' /
   V3_3      'Ethnic minority area' /
   V3_4      'Used to be rural base of CCP (laoqu)' /
   V3_5      'Distance from nearest county seat (km)' /
   V3_6      'Distance from nearest township government (km)' /
   V3_7      'Distance from nearest bus terminals, train stations,'+
     ' or wharfs (km)'/
   V3_9      'Orchard (mu)' /
   V3_10     'Forest (mu)' /
   V3_11     'Pasture land (mu)' /
   V3_12     'Fish-breeding pond (mu)' /
   V3_101    'The time when the road opened' /
   V3_102    'The time when electricity was available' /
   V3_103    'The time when telephone was available' /
   V3_104    'Any primary schools in the village?' /
   V3_104A   'Distance from the nearest full-grade primary school (km)' /
   V3_105    'Any junior middle schools in the village?' /
   V3_105A   'If not, distance from the nearest junior middle school (km)' /
   V3_106    'Any clinics in the village' /
   V3_106A   'What kind of clinic in village' /
   V3_106B   'Distance from the village to the nearest clinic (km)' /
   V3_107    'Does the village operate community and team enterprise'+
     ' (SheDui Qiye) in 1970s?'/
   V3_108    'Does the county (the village in) is the national level'+
     ' poverty county?'/
   V3_109    'Does the county (the village in) is the province level'+
     ' poverty county?'/
   V3_110    'Does the township (Xiang) (the village in) is the province'+
     ' level poverty county?'/
   V3_201    'Total population (year-end) in 2002' /
   V3_202    'Total population (year-end) in 1998' /
   V3_201A   'Total number of household (year-end) in 2002' /
   V3_202A   'Total number of household (year-end) in 1998' /
   V3_201B   'Nonagricultural family business in 2002' /
   V3_202B   'Nonagricultural family business in 1998' /
   V3_201C   'Cadre household in 2002' /
   V3_202C   'Cadre household in 1998' /
   V3_201D   'Cadre & family business household in 2002' /
   V3_202D   'Cadre & family business household in 1998' /
   V3_201E   'Specialized farming households in 2002' /
   V3_202E   'Specialized farming households in 1998' /
   V3_201F   'Ethnic minority household in 2002' /
   V3_201G   'Households with the Party member in 2002' /
   V3_201H   'Old or disabled household getting public assistance'+
     ' (wubaohu) in 2002'/
   V3_201I   'The household migrated at the beginning of 1999' /
   V3_203    'Total number of labor force (year-end) in 2002' /
   V3_204    'Total number of labor force (year-end) in 1998' /
   V3_203A   'Labor force mainly engaged in agricultural, forestry,'+
     ' animal husbandry, and fishery in 2002'/
   V3_204A   'Labor force mainly engaged in agricultural, forestry,'+
     ' animal husbandry, and fishery in 1998'/
   V3_203B   'Labor force engaged in manufacturing in 2002' /
   V3_203C   'Labor force engaged in construction in 2002' /
   V3_203D   'Labor force engaged in wholesale, retail and food services'+
     ' in 2002'/
   V3_203E   'Labor force engaged in other industry in 2002' /
   V3_205    'Labor force who worked out of Township more than one month'+
     ' in 2002'/
   V3_206    'Labor force who worked out of Township more than one month'+
     ' in 1998'/
   V3_207    'Labor force who worked out of Township more than one month'+
     ' in 1990'/
   V3_205A   'Of which, working out of township more than six months (2002)' /
   V3_206A   'Of which, working out of township more than six months (1998)' /
   V3_205B   'Working out of the province (2002)' /
   V3_206B   'Working out of the province (1998)' /
   V3_208    'Daily wage for the local labor in the village and town'+
     ' (Yuan/day)'/
   V3_301    'Net income per capita in the village (2002)' /
   V3_301A   'Net income per capita in the village (1998)' /
   V3_301B   'Net income per capita in the village (1990)' /
   V3_302    'Total irrigated land (year-end) in 2002 (mu)' /
   V3_303    'Total irrigated land (year-end) in 1998 (mu)' /
   V3_302A   'Major irrigation method in 2002' /
   V3_303A   'Major irrigation method in 1998' /
   V3_302B   'Collectively owned irrigation facilities? (2002)' /
   V3_303B   'Collectively owned irrigation facilities? (1998)' /
   V3_304    'Total planting area in 2002 (mu)' /
   V3_305    'Total planting area in 1998 (mu)' /
   V3_304A   'Planting area for grain in 2002 (mu)' /
   V3_305A   'Planting area for grain in 1998 (mu)' /
   V3_304B   'Planting area for grain in 2002: rice (mu)' /
   V3_304C   'Planting area for grain in 2002: wheat (mu)' /
   V3_304D   'Planting area for grain in 2002: maize (mu)' /
   V3_304E   'Planting area for vegetable in 2002 (mu)' /
   V3_305B   'Planting area for vegetable in 1998 (mu)' /
   V3_306    'Yield per Mu for Grain in 2002: rice (kg/mu)' /
   V3_307    'Yield per Mu for Grain in 1998: rice (kg/mu)' /
   V3_306A   'Yield per Mu for Grain in 2002: wheat (kg/mu)' /
   V3_307A   'Yield per Mu for Grain in 1998: wheat (kg/mu)' /
   V3_306B   'Yield per Mu for Grain in 2002: maize (kg/mu)' /
   V3_307B   'Yield per Mu for Grain in 1998: maize (kg/mu)' /
   V3_308    'Protecting Price for grain in 2002: Rice (yuan/kg)' /
   V3_308A   'Protecting Price for grain in 2002: Wheat (yuan/kg)' /
   V3_308B   'Protecting Price for grain in 2002: Maize (yuan/kg)' /
   V3_308C   'Protecting Price for grain in 2002: Potato etc. (yuan/kg)' /
   V3_308D   'Any compulsory grain quota in 2002' /
   V3_309    'Total revenue by all the TVEs in the village (2002) -'+
     ' 10,000 yuan'/
   V3_310    'Total revenue by all the TVEs in the village (1998) -'+
     ' 10,000 yuan'/
   V3_309A   'Village level collective owned TVEs (2002) - 10,000 yuan' /
   V3_310A   'Village level collective owned TVEs (1998) - 10,000 yuan' /
   V3_311    'Total number of employees in TVEs (year-end) (2002)' /
   V3_312    'Total number of employees in TVEs (year-end) (1998)' /
   V3_311A   'TVE employees: village level collective (2002)' /
   V3_312A   'TVE employees: village level collective (1998)' /
   V3_311B   'TVE employees: private enterprise (2002)' /
   V3_312B   'TVE employees: private enterprise (1998)' /
   V3_311C   'TVE employees: Joint venture/foreign invested (2002)' /
   V3_312C   'TVE employees: Joint venture/foreign invested (1998)' /
   V3_311D   'TVE employees: Others (2002)' /
   V3_312D   'TVE employees: Others (1998)' /
   V3_313    'Starting year of the last round of household contract'+
     ' responsibility system (19__)'/
   V3_313A   'Does the reallocation in land base on administrative'+
     ' village or natural village/villager group?'/
   V3_313B   'Any re-allocation (''adjustment'') of land in the village'+
     ' or villager group since 1998'/
   V3_313C   'Any land retained by collective for re-allocation (jidong'+
     ' tian) in 2002 for population increasing?'/
   V3_314    'Collectively managed irrigation/evacuation? (2002)' /
   V3_315    'Collectively managed irrigation/evacuation? (1998)' /
   V3_314A   'Mechanized cultivating using collectively owned'+
     ' machines? (2002)'/
   V3_315A   'Mechanized cultivating using collectively owned'+
     ' machines? (1998)'/
   V3_314B   'Does the collective prevent and cure the plant disease'+
     ' and insect pests unified? (2002)'/
   V3_315B   'Does the collective prevent and cure the plant disease'+
     ' and insect pests unified? (1998)'/
   V3_314C   'Does the collective provide the service of purchasing'+
     ' agriculture inputs unified? (2002)'/
   V3_315C   'Does the collective provide the service of purchasing'+
     ' agriculture inputs unified? (1998)'/
   V3_314D   'Does the collective make program on planting? (2002)' /
   V3_315D   'Does the collective make program on planting? (1998)' /
   V3_314E   'Does the collective organize the labor force to work'+
     ' out? (2002)'/
   V3_315E   'Does the collective organize the labor force to work'+
     ' out? (1998)'/
   V3_316    'Does the village be appointed as a pilot village for'+
     ' productive or economic reason? (2002)'/
   V3_317    'Does the village be appointed as a pilot village for'+
     ' productive or economic reason? (1998)'/
   V3_316A   'Does the village be appointed as a pilot village for'+
     ' non-economic reason? (2002)'/
   V3_317A   'Does the village be appointed as a pilot village for'+
     ' non-economic reason? (1998)'/
   V3_316B   'Does the village be appointed as ''production base'' or'+
     ' ''specialized village''? (2002)'/
   V3_317B   'Does the village be appointed as ''production base'' or'+
     ' ''specialized village''? (1988)'/
   V3_316C   'Does the village have the foreign/domestic investment'+
     ' project? (2002)'/
   V3_317C   'Does the village have the foreign/domestic investment'+
     ' project? (1998)'/
   V3_316D   'If answered ''yes'' in the above question, who introduced'+
     ' the project? (2002)'/
   V3_317D   'If answered ''yes'' in the above question, who introduced'+
     ' the project? (1998)'/
   V3_318    'The original value of the village productive fixed assets'+
     ' at the end of the year (2002) - 10,000 yuan'/
   V3_319    'The original value of the village productive fixed assets'+
     ' at the end of the year (1998) - 10,000 yuan'/
   V3_318A   'Productive fixed assets collective owned by the village'+
     ' and villager group (2002) - 10,000 yuan'/
   V3_319A   'Productive fixed assets collective owned by the village'+
     ' and villager group (1998) - 10,000 yuan'/
   V3_401    'Total collective finance expenditure (2002)' /
   V3_402    'Total collective finance expenditure (1998)' /
   V3_401A   'Collective finance expenditure used in enlarging'+
     ' collectively operated reproduction (2002) (yuan)'/
   V3_402A   'Collective finance expenditure used in enlarging'+
     ' collectively operated reproduction (1998) (yuan)'/
   V3_401B   'Collective finance expenditure used in providing productive'+
     ' service for household (2002) (yuan)'/
   V3_402B   'Collective finance expenditure used in providing productive'+
     ' service for household (1998) (yuan)'/
   V3_401C   'Collective finance expenditure used in education (2002) (yuan)' /
   V3_402C   'Collective finance expenditure used in education (1998) (yuan)' /
   V3_401D   'Collective finance expenditure used in medical treatment'+
     ' and sanitation (2002) (yuan)'/
   V3_402D   'Collective finance expenditure used in medical treatment'+
     ' and sanitation (1998) (yuan)'/
   V3_401E   'Collective finance expenditure used in infrastructure (2002)'+
     ' (yuan)'/
   V3_402E   'Collective finance expenditure used in infrastructure (1998)'+
     ' (yuan)'/
   V3_401F   'Collective finance expenditure: other commonweal expenditure'+
     ' (2002) (yuan)'/
   V3_402F   'Collective finance expenditure: other commonweal expenditure'+
     ' (1998) (yuan)'/
   V3_401G   'Collective finance expenditure: wage and subsidies for'+
     ' village and group cadre (2002) (yuan)'/
   V3_402G   'Collective finance expenditure: wage and subsidies for'+
     ' village and group cadre (1998) (yuan)'/
   V3_401H   'Collective finance expenditure: other administrative'+
     ' expenditure (2002) (yuan)'/
   V3_402H   'Collective finance expenditure: other administrative'+
     ' expenditure (1998) (yuan)'/
   V3_401I   'Collective finance expenditure: other expenditures (2002)'+
     ' (yuan)'/
   V3_402I   'Collective finance expenditure: other expenditures (1998)'+
     ' (yuan)'/
   V3_403    'Accumulative total amount of credit of village committee'+
     ' (year-end 2002) - 10,000 yuan'/
   V3_403A   'Accumulative Total amount of debt of village committee'+
     ' (year-end 2002) - 10,000 yuan'/
   V3_404    'By the end of 2002, already conducted ''taxes and fees'+
     ' reform''?'/
   V3_405    'The year of taxes and fees reform' /
   V3_405A   'Taxable land acreage (2002) (mu)' /
   V3_405B   'Agricultural tax, special agricultural tax, and additional'+
     ' fee for the two tax in 2002 paid by the villager (yuan per mu)'/
   V3_406    'Direction of change of the budget actually usable for'+
     ' education after the reform'/
   V3_406A   'Direction of education budget change (If decreased)'+
     ' decreased approximately --%'/
   V3_406B   'Direction of education budget change (If increased)'+
     ' increased approximately --%'/
   V3_407    'Direction of change of the budget actually usable for'+
     ' administrative cost (salary for cadres etc.)'/
   V3_407A   'Direction of administrative budget change (If decreased)'+
     ' decreased approximately --%'/
   V3_407B   'Direction of administrative budget change (If increased)'+
     ' increased approximately --%'/
   V3_408    'Total collective revenue in the village(Yuan)' /
   V3_408A   'Collective operated revenue in the village (including the'+
     ' revenue turned in by collective enterprises) (yuan)'/
   V3_408B   'Revenue turned in by other enterprises or economic entities'+
     ' excluding the collective enterprises (yuan)'/
   V3_408C   'Fundraising from ''one issue, one discussion'' in the'+
     ' village (yuan)'/
   V3_408D   'Other revenue in the village (yuan)' /
   V3_408E   'Appropriate founds from the superior government (yuan)' /
   V3_408F   'Total revenue turned in to the superior government (Yuan)' /
   V3_408G   'Revenue turned in: All kinds of fundraising (yuan)' /
   V3_408H   'Revenue turned in: Other fees turned in (such as forfeit)'+
     ' (yuan)'/
   V3_409    'Total collective revenue in the village(Yuan)' /
   V3_409A   'Collective operated revenue in the village (including the'+
     ' revenue turned in by collective enterprises) (yuan)'/
   V3_409B   'Revenue turned in by other enterprises or economic entities'+
     ' excluding the collective enterprises (yuan)'/
   V3_409C   'Drawing by the village (Cun Tiliu) (yuan)' /
   V3_409D   'Fundraising by the village (yuan)' /
   V3_409E   'Other revenue in the village (yuan)' /
   V3_409F   'Appropriate founds from the superior government (yuan)' /
   V3_409G   'Total revenue turned in to the superior government (yuan)' /
   V3_409H   'Revenue turned in: Fees planned as a whole in the township'+
     ' (Xiangzhen Tongchou) (yuan)'/
   V3_409I   'Revenue turned in: All kinds of fundraising (yuan)' /
   V3_409J   'Revenue turned in: Other fees turned in (such as forfeit)'+
     ' (yuan)'/
   V3_410    'Total collective revenue in the village(Yuan) (1998)' /
   V3_410A   'Collective operated revenue in the village (including the'+
     ' revenue turned in by collective enterprises) (yuan) (1998)'/
   V3_410B   'Revenue turned in by other enterprises or economic entities'+
     ' excluding the collective enterprises (yuan) (1998)'/
   V3_410C   'Drawing by the village (Cun Tiliu) (yuan) (1998)' /
   V3_410D   'Fundraising by the village (yuan) (1998)' /
   V3_410E   'Other revenue in the village (yuan) (1998)' /
   V3_410F   'Appropriate founds from the superior government (yuan) (1998)' /
   V3_410G   'Total revenue turned in to the superior government (yuan)'+
     ' (1998)'/
   V3_410H   'Revenue turned in: Fees planned as a whole in the township'+
     ' (Xiangzhen Tongchou) (yuan) (1998)'/
   V3_410I   'Revenue turned in: All kinds of fundraising (yuan) (1998)' /
   V3_410J   'Revenue turned in: Other fees turned in (such as forfeit)'+
     ' (yuan) (1998)'/
   V3_501    'Does the village practice the direct election (or'+
     ' HaiXuan)? (2002)'/
   V3_502    'Does the village practice the direct election (or'+
     ' HaiXuan)? (1998)'/
   V3_501A   'Does the candidate of the village committee members be'+
     ' nominated directly by the villagers? (2002)'/
   V3_502A   'Does the candidate of the village committee members be'+
     ' nominated directly by the villagers? (1998)'/
   V3_501B   'How many times is the congress of the villager convened'+
     ' during the year? (2002)'/
   V3_502B   'How many times is the congress of the villager convened'+
     ' during the year? (1998)'/
   V3_501C   'Number of village cadres who receive salary (2002)' /
   V3_502C   'Number of village cadres who receive salary (1998)' /
   V3_503    'How many years does the Party secretary be in office?' /
   V3_503A   'The age of the Party secretary' /
   V3_503B   'Educational level of the Party secretary' /
   V3_503C   'Does the Party secretary have the experience of enterprise'+
     ' management?'/
   V3_503D   'Does the Party secretary have the experience of operating'+
     ' nonagricultural family businesses?'/
   V3_503E   'Monthly salary for the Party secretary (Yuan/Month)' /
   V3_504    'How many years does the director of the village committee'+
     ' (village head) be in office?'/
   V3_504A   'The age of the village head' /
   V3_504B   'Educational level of the village head' /
   V3_504C   'Does the village head have the experience of enterprise'+
     ' management?'/
   V3_504D   'Does the village head have the experience of operating'+
     ' nonagricultural family businesses?'/
   V3_504E   'Monthly salary for the village head (Yuan/Month)' /
   V3_505    'Any county level or upper level officials originated from'+
     ' this village? (1999-2002)'/
   V3_506    'Any county level or upper level officials originated from'+
     ' this village? (1990-1998)'/
   V3_505A   'Frequency of inspection tours by county level or upper'+
     ' level officials (average times/year) (1999-2002)'/
   V3_506A   'Frequency of inspection tours by county level or upper'+
     ' level officials (average times/year) (1990-1998)'/
   V3_505B   'Times/month Party secretary or village head attended'+
     ' township or cadre meeting (1999-2002)'/
   V3_506B   'Times/month Party secretary or village head attended'+
     ' township or cadre meeting (1990-1998)'/
   V3_507    'Should the village government balance the different'+
     ' interests of the villager group or natural villages?'/
   V3_507A   'Should the village government balance the different'+
     ' interests of lineages?'/
   V3_601    'How many households participate in any specialization'+
     ' organization? (approximate) (2002)'/
   V3_602    'How many households participate in any specialization'+
     ' organization? (approximate) (1998)'/
   V3_601A   'How many households participate in group-loan (microfinance,'+
     ' xiao''e xindai) (2002)'/
   V3_602A   'How many households participate in group-loan (microfinance,'+
     ' xiao''e xindai) (1998)'/
   V3_601B   'Any community-level organization for arranging funerals,'+
     ' weddings, and other social events? (2002)'/
   V3_602B   'Any community-level organization for arranging funerals,'+
     ' weddings, and other social events? (1998)'/
   V3_603    'Is the percentage of the largest surname households to'+
     ' total number of households more than 50%?'/
   V3_603A   'Is the percentage of the five largest surnames to total'+
     ' number of households more than 50%?'/
   V3_701    'Any natural disaster during the year? (2002)' /
   V3_702    'Any natural disaster during the year? (1998)' /
   V3_701A   'If ''yes'', how much percentage reduced than ordinary'+
     ' years? (2002)'/
   V3_702A   'If ''yes'', how much percentage reduced than ordinary'+
     ' years? (1998)'/
   V3_701B   'Any tax-cut? (2002)' /
   V3_702B   'Any tax-cut? (1998)' /
   V3_703    'Any collective system of medical insurance in the village?' /
   V3_703A   'If there is cooperative medical system, how much insurance'+
     ' premium per month per capita? (yuan/month)'/
   V3_703B   'If there is cooperative medical system, maximum percentage'+
     ' of medical expenses which can be written off'/
   V3_703C   'If there is cooperative medical system, how much can be'+
     ' written off per capita per year at most? (yuan/month)'/
   V3_704    'Does the village participate in the ageing insurance system'+
     ' in rural?'/
   V3_704A   'If ''yes'', how much insurance premium per month per capita'+
     ' paid by the participator? (yuan/month)'/
   V3_704B   'If ''yes'', how much subsided by the collective per month'+
     ' per capita? (yuan/month)'/
   V3_705    'Does the household in the village get any kind of loan'+
     ' for poverty relief during 1997-2001?'/
   V3_706A   'The amount loan for poverty relief in 2001' /
   V3_706B   'The amount loan for poverty relief in 2001' /
   V3_707A   'The amount loan for poverty relief in 2000' /
   V3_707B   'The amount loan for poverty relief in 2000' /
   V3_708A   'The amount loan for poverty relief in 1999' /
   V3_708B   'The amount loan for poverty relief in 1999' /
   V3_709A   'The amount loan for poverty relief in 1998' /
   V3_709B   'The amount loan for poverty relief in 1998' /
   V3_710A   'The amount loan for poverty relief in 1997' /
   V3_710B   'The amount loan for poverty relief in 1997' /
   V3_8OLD   'V3_8OLD' /
   V3_8NEW   'V3_8NEW' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   V3_1      1 'plain (basin)' 2 'hilly area' 3 'mountainous area' /
   V3_2      1 'Yes' 2 'No' /
   V3_3      1 'Yes' 2 'No' /
   V3_4      1 'Yes' 2 'No' /
   V3_101    1 'before 1969' 2 '1970-79' 3 '1980-89' 4 '1990-98'
             5 'after 1999' 6 'not yet' /
   V3_102    1 'before 1969' 2 '1970-79' 3 '1980-89' 4 '1990-98'
             5 'after 1999' 6 'not yet' /
   V3_103    1 'before 1969' 2 '1970-79' 3 '1980-89' 4 '1990-98'
             5 'after 1999' 6 'not yet' /
   V3_104    1 'full-grade primary school(wanxiao)'
             2 'ordinary primary school' 3 'educational spot (jiaoxuedian)'
             4 'none' /
   V3_105    1 'Yes' 2 'No' /
   V3_106    1 'Yes' 2 'No' /
   V3_106A   1 'village-collective' 2 'branch township hospital' 3 'private'
             4 'other' /
   V3_107    1 'Yes' 2 'No' /
   V3_108    1 'Yes' 2 'No' /
   V3_109    1 'Yes' 2 'No' /
   V3_110    1 'Yes' 2 'No' /
   V3_302A   1 'canal' 2 'well' /
   V3_303A   1 'canal' 2 'well' /
   V3_302B   1 'Yes' 2 'No' /
   V3_303B   1 'Yes' 2 'No' /
   V3_308D   1 'Yes' 2 'No' /
   V3_313A   1 'Administrative village' 2 'Villager group/natural village' /
   V3_313B   1 'none' 2 'once' 3 'twice' 4 'more' /
   V3_313C   1 'Yes' 2 'No' /
   V3_314    1 'Yes' 2 'No' /
   V3_315    1 'Yes' 2 'No' /
   V3_314A   1 'Yes' 2 'No' /
   V3_315A   1 'Yes' 2 'No' /
   V3_314B   1 'Yes' 2 'No' /
   V3_315B   1 'Yes' 2 'No' /
   V3_314C   1 'Yes' 2 'No' /
   V3_315C   1 'Yes' 2 'No' /
   V3_314D   1 'Yes' 2 'No' /
   V3_315D   1 'Yes' 2 'No' /
   V3_314E   1 'Yes' 2 'No' /
   V3_315E   1 'Yes' 2 'No' /
   V3_316    1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_317    1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_316A   1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_317A   1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_316B   1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_317B   1 'No' 2 'Yes, township level' 3 'Yes, county level'
             4 'Yes, province level' 5 'Yes, national level' /
   V3_316C   1 'Yes' 2 'No' /
   V3_317C   1 'Yes' 2 'No' /
   V3_316D   1 'the villager' 2 'the village cadre' 3 'the township cadre'
             4 'the county (or upper level cadre)' 5 'others' /
   V3_317D   1 'the villager' 2 'the village cadre' 3 'the township cadre'
             4 'the county (or upper level cadre)' 5 'others' /
   V3_404    1 'Yes' 2 'No' /
   V3_406    1 'decrease' 2 'increase' 3 'no change' /
   V3_407    1 'decrease' 2 'increase' 3 'no change' /
   V3_501    1 'Yes' 2 'No' /
   V3_502    1 'Yes' 2 'No' /
   V3_501A   1 'Yes' 2 'No' /
   V3_502A   1 'Yes' 2 'No' /
   V3_503A   1 '29 and below' 2 '30-34' 3 '35-39' 4 '40-44' 5 '45-49'
             6 '50-54' 7 '55 and above' /
   V3_503B   1 'primary school or less' 2 'junior middle school'
             3 'senior middle school' 4 'technical secondary school'
             5 'college or above' /
   V3_503C   1 'Yes' 2 'No' /
   V3_503D   1 'Yes' 2 'No' /
   V3_504A   1 '29 and below' 2 '30-34' 3 '35-39' 4 '40-44' 5 '45-49'
             6 '50-54' 7 '55 and above' /
   V3_504B   1 'primary school or less' 2 'junior middle school'
             3 'senior middle school' 4 'technical secondary school'
             5 'college or above' /
   V3_504C   1 'Yes' 2 'No' /
   V3_504D   1 'Yes' 2 'No' /
   V3_505    1 'Yes' 2 'No' /
   V3_506    1 'Yes' 2 'No' /
   V3_505A   0 'Less than once per year' /
   V3_506A   0 'Less than once per year' /
   V3_505B   0 'Less than once per month' /
   V3_506B   0 'Less than once per month' /
   V3_507    1 'no' 2 'sometimes' 3 'often' 4 'have to' 5 'hard to say' /
   V3_507A   1 'no' 2 'sometimes' 3 'often' 4 'have to' 5 'hard to say' /
   V3_601B   1 'Yes' 2 'No' /
   V3_602B   1 'Yes' 2 'No' /
   V3_603    1 'Yes' 2 'No' /
   V3_603A   1 'Yes' 2 'No' /
   V3_701    1 'Yes' 2 'No' /
   V3_702    1 'Yes' 2 'No' /
   V3_701B   1 'Yes' 2 'No' /
   V3_702B   1 'Yes' 2 'No' /
   V3_703    1 'Yes, compulsive participation'
             2 'Yes, voluntary participation' 3 'No (skip to 704)' /
   V3_704    1 'Yes' 2 'No' /
   V3_705    1 'Yes' 2 'No' /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
